clear
cap log close
set more off
cd "C:\Users\jannaj\Dropbox\Migration\Oct2018"
log using appendixb, text replace

/**********************************
This file produces the balancing test
results shown in Appendix B of the paper.

The source data is from IPUMS-USA and 
is detailed in appendixbdata.cbk.
It also uses the average county mail
category in DATASET NAME HERE.
******************************************/

use appendixbdata

recode county 1310=710 if statefip==46
drop if county==1330 & statefip==46


tempfile full
save `full', replace

*total county population
collapse (sum) pop=perwt, by(statefip county)

tempfile pop
save `pop', replace

clear
use `full'
*only keep those not in group quarters 

keep if gq<3
*keep NH whites only
keep if race==1
keep if hispan==0

/* Collapse to county data */

keep year serial hhwt statefip county farm radio30 ///
pernum perwt sex age bpl school 

tempfile thirty
save `thirty', replace

*total county population
collapse (sum) pop=perwt, by(statefip county)

tempfile pop
save `pop', replace

*boys and girls in school
clear
use `thirty'
gen oursamp = age>2 & age<15
gen boyinschool = .
replace boyinschool = 1 if school==2 & age>=6 & age<=15 & sex==1
replace boyinschool = 0 if school==1 & age>=6 & age<=15 & sex==1
gen girlinschool=.
replace girlinschool = 1 if school==2 & age>=6 & age<=15 & sex==2
replace girlinschool = 0 if school==1 & age>=6 & age<=15 & sex==2

collapse (mean) frac_boyschool = boyinschool frac_girlschool = girlinschool, by(statefip county)

tempfile school
save `school', replace

use `thirty'
keep if age<18
gen n=1
bysort serial: egen numkids = total(n)
gen oursamp = age>2 & age<15
keep if oursamp == 1
bysort serial: egen numsamp = total(oursamp)

bysort serial: egen minper = min(pernum)
keep if pernum==minper

collapse (mean) numkids numsamp, by(statefip county)

tempfile kids
save `kids', replace

use `thirty'
gen n=1
bysort serial: egen hhsize = total(n)

*HH is farm
gen isfarm = farm==2
*HH has radio
gen hasradio = radio30==2

keep if pernum==1

collapse (mean) frac_radio = hasradio frac_farm = isfarm hhsize, by(statefip county)

merge 1:1 statefip county using `school', nogen
merge 1:1 statefip county using `kids', nogen
merge 1:1 statefip county using `pop', nogen

tempfile county30
save `county30', replace
 
 *merge on mail cat stuff
 #delimit ;
merge m:1 statefip county using county_mail.dta;

drop _merge;

# delimit cr

rename pop pop1930
gen pop1930squared = pop1930^2
gen pop1930cubed = pop1930^3

*table B1: summary stats
sum avg_mail_cat hhsize frac_farm frac_radio frac_boyschool frac_girlschool pop1930


*table B2: regressions

local pop pop1930 pop1930squared pop1930cubed

reg avg_mail_cat hhsize frac_farm frac_radio frac_boyschool frac_girlschool `pop' i.statefip if county!=1130, robust
