clear
cap log close
set more off
cd "C:\Users\jannaj\Dropbox\Migration\Nov2018"
log using countydata1930, text replace

/**********************************
This file produces the 1930 county-
level variables that are used 
extensively as control variables in
the paper.

The source data is from IPUMS-USA and 
is detailed in appendixbdata.cbk.
******************************************/

use ../Oct2018/appendixbdata

recode county 1310=710 if statefip==46
drop if county==1330 & statefip==46


tempfile full
save `full', replace

*total county population
collapse (sum) pop=perwt, by(statefip county)

tempfile pop
save `pop', replace

clear
use `full'
*only keep those not in group quarters 

keep if gq<3

*keep NH whites only
keep if race==1
keep if hispan==0

/* Collapse to county data */

keep year serial hhwt statefip county farm radio30 ///
pernum perwt sex age bpl school 

gen n=1
bysort serial: egen hhsize = total(n)

*HH is farm
gen isfarm = farm==2
*HH has radio
gen hasradio = radio30==2

keep if pernum==1

collapse (mean) frac_radio = hasradio frac_farm = isfarm hhsize, by(statefip county)

merge 1:1 statefip county using `pop', nogen
gen pop2 = pop^2
gen pop3 = pop^3
save countydata1930, replace
