/* This file calculates bounds for the average treatment effect */
/* Used for Table 6 */

global data "C:\Users\evanjtaylor\Documents\Dakotas\data"
global dofile "C:\Users\evanjtaylor\Documents\Dakotas\dofile"
global output "C:\Users\evanjtaylor\Documents\Dakotas\output"

cap log close
log using $dofile\dakota_bounds.txt, replace text


use $data/dakota_separate.dta, clear


keep if U_D<.
keep U_D valp3_0 valp3_1 mtep3_1 mtep3_0  /* Results from Separate Approach using Cubic Paremetric */
sum U_D /* find min and max of U_D, which is range of MTE */
local pmin = r(min)
local pmax = r(max)

sum mtep3_1 mte_p3_0  /* These are values of Y_1 and Y_0 over range that can be identified */
sum valp3_1 if U_D==`pmin'  /* Value of Y_1 for U_D<pmin */
sum valp3_0 if U_D==`pmax'  /* Value of Y_0 for U_D>pmax */

log close
