/* This do-file does the analysis for the Dakotas paper
Tables 1 and 3, summary statistics */

global data "C:\Users\evanjtaylor\Documents\Dakotas\data"
global dofile "C:\Users\evanjtaylor\Documents\Dakotas\dofile"
global output "C:\Users\evanjtaylor\Documents\Dakotas\output"

cap log close
log using $output\dakota_sum.txt, replace text
set seed 123456789

use $data\Dakotas_Mail_Cat.dta, clear


keep if race==1 & ornp<. & birthyr<1928
replace rail_1900 = 0 if rail_1930 == 0

gen mig_stat = "Migrant" if ornp==1
replace mig_stat = "Non-migrant, in birth" if ornp==0 /// 
& ((sor==43 & pobstate=="SD") | (sor==35 & pobstate=="ND") | (sor==27 & pobstate=="MT"))
replace mig_stat = "Non-migrant, not in birth" if ornp==0 /// 
& !((sor==43 & pobstate=="SD") | (sor==35 & pobstate=="ND") | (sor==27 & pobstate=="MT"))

/* Table 1 */

* Migrant Status
tab mig_stat

* Migrants to State rates
tab sor if ornp==1, sort

* Migrants to MSA rates
tab msaname if ornp==1, sort

/* Table 3 */
tab mail_cat ornp, r
tab mail_cat if ornp<.

/* Create county level file */
collapse (mean) mail_cat, by(pobstate county_name county)
drop if county==.
save $data\county_mail.dta, replace

log close
