clear
cap log close
cd "C:\Users\jannaj\Dropbox\Migration\Oct2018"
# delimit ;
set more off;
log using table1, text replace;

/***********************************
This file reproduces the locations
of migrants out of the Dakotas and
Montana in 1960 shown in Table 1.

It requires the 1960 census data
downloaded from IPUMS-USA, as 
detailed in table1data.cbk
*********************************/

use 1960loc;

*create migrant variable;

gen migrant = 1;
replace migrant = 0 if statefip==30 | statefip==38 | statefip==46;

*ID WY NE IA rural MN;
replace migrant=0 if statefip==19 | statefip==16 | statefip==31 | statefip==56;
replace migrant=0 if statefip==27 & metro<2;

*inbirthstate;
gen inbirthstate=0;
replace inbirthstate=1 if statefip==bpl;

*combine the two categories;
gen migstat=2 if migrant==1;
replace migstat=1 if migrant==0 & inbirthstate==1;
replace migstat=0 if migrant==0 & inbirthstate==0;

*migrant frac;
tab migrant [aw=perwt];
tab inbirthstate [aw=perwt];

tab statefip if migrant==1 [aw=perwt], sort;

tab migstat [aw=perwt];

gen incity= metro>1;

tab incity if migrant==1 [aw=perwt];